<?php
/**
 * Social Blog functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package social_blog
 */

$social_blog_theme_data = wp_get_theme();
if( ! defined( 'SOCIAL_BLOG_THEME_VERSION' ) ) define ( 'SOCIAL_BLOG_THEME_VERSION', $social_blog_theme_data->get( 'Version' ) );
if( ! defined( 'SOCIAL_BLOG_THEME_NAME' ) ) define( 'SOCIAL_BLOG_THEME_NAME', $social_blog_theme_data->get( 'Name' ) );
if( ! defined( 'SOCIAL_BLOG_THEME_TEXTDOMAIN' ) ) define( 'SOCIAL_BLOG_THEME_TEXTDOMAIN', $social_blog_theme_data->get( 'TextDomain' ) );


/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

/**
 * Demo Import
*/
add_action( 'init', 'social_blog_load_theme_wizard' );
function social_blog_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

function social_blog_links_setup() {
	if ( ! defined( 'SOCIAL_BLOG_PREMIUM_PAGE' ) ) {
	define('SOCIAL_BLOG_PREMIUM_PAGE',__('https://asterthemes.com/products/social-blog-wordpress-theme','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_THEME_PAGE' ) ) {
		define('SOCIAL_BLOG_THEME_PAGE',__('https://asterthemes.com/products/social-blog','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_SUPPORT' ) ) {
	define('SOCIAL_BLOG_SUPPORT',__('https://wordpress.org/support/theme/social-blog/','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_REVIEW' ) ) {
	define('SOCIAL_BLOG_REVIEW',__('https://wordpress.org/support/theme/social-blog/reviews/','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_PRO_DEMO' ) ) {
	define('SOCIAL_BLOG_PRO_DEMO',__('https://demo.asterthemes.com/social-blog/','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_THEME_DOCUMENTATION' ) ) {
	define('SOCIAL_BLOG_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/social-blog-free/','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_PREMIUM_DOCUMENTATION' ) ) {
	define('SOCIAL_BLOG_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/social-blog-pro/','social-blog'));
	}
	if ( ! defined( 'SOCIAL_BLOG_BUNDLE_PAGE' ) ) {
		define('SOCIAL_BLOG_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','social-blog'));
	}
}
add_action('after_setup_theme', 'social_blog_links_setup');

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

if ( ! defined( 'SOCIAL_BLOG_VERSION' ) ) {
	define( 'SOCIAL_BLOG_VERSION', '1.0.0' );
}

if ( ! function_exists( 'social_blog_setup' ) ) :
	
	function social_blog_setup() {
		
		load_theme_textdomain( 'social-blog', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'social-blog' ),
				'social'  => esc_html__( 'Social', 'social-blog' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'social_blog_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		add_theme_support( 'custom-header', array(
			'header-text' => false,
			'width' => 1920,
			'height' => 100
		));
	}
endif;
add_action( 'after_setup_theme', 'social_blog_setup' );

function social_blog_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'social_blog_content_width', 640 );
}
add_action( 'after_setup_theme', 'social_blog_content_width', 0 );

function social_blog_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'social-blog' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'social-blog' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	$social_blog_footer_widget_column = get_theme_mod('social_blog_footer_widget_column','4');
	for ($i=1; $i<=$social_blog_footer_widget_column; $i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'social-blog' )  . $i,
			'id' => 'social-blog-footer-widget-' . $i,
			'description' => __( 'The Footer Widget Area', 'social-blog' )  . $i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'social_blog_widgets_init' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'social_blog_products_per_page' );
function social_blog_products_per_page( $cols ) {
  	return  get_theme_mod( 'social_blog_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'social_blog_loop_columns');
	if (!function_exists('social_blog_loop_columns')) {
	function social_blog_loop_columns() {
		return get_theme_mod( 'social_blog_products_per_row', 3 );
	}
}

/**
 * Enqueue scripts and styles.
 */
function social_blog_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'social-blog-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'social-blog-fontawesome-style', get_template_directory_uri() . '/resource/css/fontawesome' . $min . '.css', array(), '5.15.4' );

	// Google fonts.
	wp_enqueue_style( 'social-blog-google-fonts', wptt_get_webfont_url( social_blog_get_fonts_url() ), array(), null );

	// Main style.
	wp_enqueue_style( 'social-blog-style', get_template_directory_uri() . '/style.css', array(), SOCIAL_BLOG_VERSION );

	// RTL style.
	wp_style_add_data('social-blog-style', 'rtl', 'replace');

	// Animate CSS
	wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );

	// Wow script.
	wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );

	$social_blog_style_css = '';

	if ( get_header_image() ) :

		$social_blog_style_css .=  '
			.home header.site-header .header-main-wrapper .bottom-header-outer-wrapper .bottom-header-part{
				background-image: url('.esc_url(get_header_image()).');
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'social-blog-style', $social_blog_style_css );

	// Navigation script.
	wp_enqueue_script( 'social-blog-navigation-script', get_template_directory_uri() . '/resource/js/navigation' . $min . '.js', array(), SOCIAL_BLOG_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'social-blog-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'social-blog-custom-script', get_template_directory_uri() . '/resource/js/custom' . '' . '.js', array( 'jquery' ), SOCIAL_BLOG_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'social_blog_scripts' );

// Enqueue Customizer live preview script
function social_blog_customizer_live_preview() {
    wp_enqueue_script(
        'social-blog-customizer',
        get_template_directory_uri() . '/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'social_blog_customizer_live_preview');

// Featured Image Dimension
function social_blog_blog_post_featured_image_dimension(){
	if(get_theme_mod('social_blog_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );
